Page MenuHomePhabricator

Clean up duplicate Developer accounts created by Alex Mashin
Closed, ResolvedPublic

Description

While uploading patch https://gerrit.wikimedia.org/r/c/integration/config/+/679079, I found that @alex-mashin has two accounts on the Gerrit with the same email address.

remote: Processing changes: refs: 1
remote: Processing changes: refs: 1, done            
To ssh://gerrit.wikimedia.org:29418/integration/config.git
 ! [remote rejected]   HEAD -> refs/for/master%r=Hashar,r=Paladox,r=Jforrester,r=alex.mashin@gmail.com (Account 'alex.mashin@gmail.com' is ambiguous (at most 3 shown):
3660: Alexander I. Mashin <alex.mashin@gmail.com>
7772: Alex Mashin <alex.mashin@gmail.com>
alex.mashin@gmail.com does not identify a registered user or group)
error: failed to push some refs to 'ssh://gerrit.wikimedia.org:29418/integration/config.git'

@Jdforrester-WMF told me to create a task here. Alex told me via email that he wants to account (ID 3660) be merged with the 7772.

Please do this if is possible.

Event Timeline

I confirm the request and thank @Kizule for the trouble he took.

Aklapper renamed this task from Merge duplicated accounts on the Gerrit to Merge two developer accounts with same email address in LDAP.Apr 16 2021, 6:15 AM
Aklapper removed a project: Gerrit.

Account merging is a MediaWiki concept that does not exist for Gerrit, Phabricator, etc.

We can easily disable the unwanted [[User:Alexander I. Mashin]] account on wikitech which will also block the underlying Developer account from being used for Gerrit, Phabricator, and other Developer account based authentication.

A search of the LDAP directory that stores Developer account information shows that there are actually three different Developer accounts associated with the same email address:

  • "Alexander Mashin" created: 2014-11-29T10:10:17Z
  • "Alexander I. Mashin" created: 2016-07-31T12:20:54Z
  • "Alex Mashin" created: 2019-12-01T14:52:47Z

Account merging is a MediaWiki concept that does not exist for Gerrit, Phabricator, etc.

We can easily disable the unwanted [[User:Alexander I. Mashin]] account on wikitech which will also block the underlying Developer account from being used for Gerrit, Phabricator, and other Developer account based authentication.

A search of the LDAP directory that stores Developer account information shows that there are actually three different Developer accounts associated with the same email address:

  • "Alexander Mashin" created: 2014-11-29T10:10:17Z
  • "Alexander I. Mashin" created: 2016-07-31T12:20:54Z
  • "Alex Mashin" created: 2019-12-01T14:52:47Z

You can't merge accounts "Alexander Mashin", "Alexander I. Mashin" with the "Alex Mashin" on the Wikitech/Gerrit and drop it from the LDAP or something like that?

You can't merge accounts "Alexander Mashin", "Alexander I. Mashin" with the "Alex Mashin" on the Wikitech/Gerrit and drop it from the LDAP or something like that?

The MediaWiki accounts can be merged on wikitech, but no we cannot merge accounts in 3rd party systems which have no native concept of account merging.

Accounts are very rarely deleted from the backing LDAP directory, and when we do that it is only to remove harassment accounts which have been created with deliberately antagonistic user names (the kinds of usernames that would be suppressed after account blocking on the content wikis).

None of the three accounts has ever made an edit on wikitech, so there really is no value in merging them there either.

bd808 renamed this task from Merge two developer accounts with same email address in LDAP to Clean up duplicate Developer accounts created by Alex Mashin.Apr 16 2021, 2:39 PM

I think that you can delete them from the LDAP, as Alex wants to use only "Alex Mashin" account (7772) + merge MediaWiki accounts.

I think that you can delete them from the LDAP, as Alex wants to use only "Alex Mashin" account (7772) + merge MediaWiki accounts.

I will not delete the accounts. I will disable them. Thanks for your feedback.

Oh, it happened automatically.

@bd808 Could you please replace/drop the LDAP account from the account here and unblock it?

The LDAP issue has been resolved. Hence setting task status to resolved.

Could you please replace/drop the LDAP account from the account here and unblock it?

No, only the user themselves can do that by logging into Phabricator via their mw.org/SUL account and removing their LDAP account from their Phab account at https://phabricator.wikimedia.org/settings/panel/external/

I've re-enabled the account as it's also linked to an active mw.org/SUL account.

Oh, it happened automatically.

@bd808 Could you please replace/drop the LDAP account from the account here and unblock it?

The @alex-mashin account was blocked here because it was connected to the https://wikitech.wikimedia.org/wiki/User:Alexander_Mashin Developer account that I blocked on wikitech as unwanted. I will unblock that account on wikitech and unblock the phabricator account as well. But I cannot edit the user's external account links. They will need to do that themselves.

I've re-enabled the account as it's also linked to an active mw.org/SUL account.

Thanks @Aklapper! I didn't even think to just unblock here. I will leave the https://wikitech.wikimedia.org/wiki/User:Alexander_Mashin account blocked on wikitech.

The LDAP issue has been resolved. Hence setting task status to resolved.

Okay, thanks. This makes sense.

Oh, it happened automatically.

@bd808 Could you please replace/drop the LDAP account from the account here and unblock it?

The @alex-mashin account was blocked here because it was connected to the https://wikitech.wikimedia.org/wiki/User:Alexander_Mashin Developer account that I blocked on wikitech as unwanted. I will unblock that account on wikitech and unblock the phabricator account as well. But I cannot edit the user's external account links. They will need to do that themselves.

I know it. :)

No, only the user themselves can do that by logging into Phabricator via their mw.org/SUL account and removing their LDAP account from their Phab account at https://phabricator.wikimedia.org/settings/panel/external/

I have removed the only LDAP external account from my (Alex Mashin) Phabricator account.